Subject: Re: [PATCH net-next v4 01/13] net: dsa: reduce number of protocol hooks

From: Florian Fainelli <[email-masked]>
Date: Wed, 27 Aug 2014 16:43:41 -0700

On 08/27/2014 04:24 PM, David Miller wrote:
> From: Alexander Duyck <[email-masked]>
> Date: Wed, 27 Aug 2014 08:25:45 -0700
> 
>> Just a thought, you might want to consider using a protocol value other
>> than ETH_P_DSA.  Maybe we should add a new value named ETH_P_XDSA for
>> this approach since what we are doing is a multiplexed DSA protocol now.
>>
>> This would allow for much easier back-porting of this if needed and also
>> prevents us from possibly triggering any issues if there are any
>> user-space APIs that might be trying to capture packets based on the
>> protocol value.
> 
> Agreed, Florian can you respin this patch set using a newly allocated
> ETH_P_* value for these new semantics?

Absolutely. While at it, I just realized that ETH_P_BRCMTAG should
probably remain within include/net/dsa.h. We don't want that to be
exported to user-space since it is used for internal DSA de-multiplexing.

Stay tuned!
--
Florian